/** @format */
/// <reference types="node" />
import URL from 'url';
import { GitRepoTemplate } from '../entiry';
export declare function parse(url: string): URL.Url;
export declare function getProjectNameFromUrl(url: string): string;
export declare function isUrlFormat(url: string): boolean;
export declare function extractTemplateInfo(url: URL.Url): GitRepoTemplate;
declare const _default: {
    extractTemplateInfo: typeof extractTemplateInfo;
    getProjectNameFromUrl: typeof getProjectNameFromUrl;
    isUrlFormat: typeof isUrlFormat;
    parse: typeof parse;
};
export default _default;
